## lxqt-wayland-session 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-wayland-session)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Minimum Versions
set(LXQT_MINIMUM_VERSION "2.1.0")

find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(PkgConfig REQUIRED)

# Please don't move, must be after lxqt
find_package(XdgUserDirs REQUIRED)

set(LXQT_WAYLAND_SESSION_MAJOR_VERSION 0)
set(LXQT_WAYLAND_SESSION_MINOR_VERSION 1)
set(LXQT_WAYLAND_SESSION_PATCH_VERSION 1)
set(LXQT_WAYLAND_SESSION_VERSION ${LXQT_WAYLAND_SESSION_MAJOR_VERSION}.${LXQT_WAYLAND_SESSION_MINOR_VERSION}.${LXQT_WAYLAND_SESSION_PATCH_VERSION})

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

# merged from lxqt-common
include(LXQtConfigVars)

# startlxqtwayland script
set(PREDEF_XDG_DATA_DIRS "$XDG_DATA_HOME")
if(NOT("${LXQT_DATA_DIR}" MATCHES "^/usr(/local)?/share$"))
    set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
endif()
set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/share")
configure_file(startlxqtwayland.in startlxqtwayland @ONLY)
install(PROGRAMS
    "${CMAKE_CURRENT_BINARY_DIR}/startlxqtwayland"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
#install(FILES /// evt. TODO manpage
#    startlxqt.1
#    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
#    COMPONENT Runtime
#)

add_subdirectory(configurations)
add_subdirectory(wallpaper)
add_subdirectory(labwc-themes)

# *.desktop file for display managers
add_subdirectory(waylandsession)

=== debian/changelog ===
lxqt-wayland-session (0.1.1-3) unstable; urgency=medium

  * debian/copyright: Fixed lintian report
    old-fsf-address-in-copyright-file. (Closes: #1109212)
  * debian/rules: Drop README file that was duplicated in
    labwc package. (Closes: #1109213)
  * debian/control: Bumped standards-version to 4.7.2, no
    changes needed.
  * debian/control: Added myself to uploaders.
  * debian/control: Depends on labwc | wayfire | sway | kwin-wayland.
    (Closes: #1109153)
  * debian/copyright: Added myself.
  * debian/control: Set Multi-Arch: foreign.
  * Releasing Debian version 0.1.1-3.

 -- Joel Orón Valiente <moded3v@gmail.com>  Mon, 14 Jul 2025 10:58:04 +0200

lxqt-wayland-session (0.1.1-2) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * fix compression
  * d/salsa-ci.yml: enable CI
  * Fix copyright

  [ Andrew Lee (李健秋) ]
  * Run wrap-and-sort.
  * debian/control: update uploaders.
  * debian/rules: clean up.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Mar 2025 16:44:03 +0100

lxqt-wayland-session (0.1.1-1) unstable; urgency=medium

  * Initial debian release (Closes: #1087520)

 -- Don Xu <me@eipi.fun>  Wed, 11 Dec 2024 15:13:41 +0800

=== debian/control ===
Source: lxqt-wayland-session
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Don Xu <me@eipi.fun>,
           Joel Orón Valiente <moded3v@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.1.0),
               libxkbcommon-dev,
               lxqt-build-tools (>= 2.1.0),
               pkgconf,
               qt6-tools-dev,
               xdg-user-dirs
Standards-Version: 4.7.2
Homepage: https://github.com/lxqt/lxqt-wayland-session
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-wayland-session
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-wayland-session.git

Package: lxqt-wayland-session
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, labwc | wayfire | sway | kwin-wayland
Description: Files needed for the LXQt Wayland Session
 Files needed for the LXQt Wayland Session: Wayland session start script,
 its desktop entry for display managers and default configurations for
 actually supported compositors.

## lxqt-wayland-session 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -25,7 +25,7 @@
 find_package(XdgUserDirs REQUIRED)
 
 set(LXQT_WAYLAND_SESSION_MAJOR_VERSION 0)
-set(LXQT_WAYLAND_SESSION_MINOR_VERSION 1)
+set(LXQT_WAYLAND_SESSION_MINOR_VERSION 2)
 set(LXQT_WAYLAND_SESSION_PATCH_VERSION 1)
 set(LXQT_WAYLAND_SESSION_VERSION ${LXQT_WAYLAND_SESSION_MAJOR_VERSION}.${LXQT_WAYLAND_SESSION_MINOR_VERSION}.${LXQT_WAYLAND_SESSION_PATCH_VERSION})
 
@@ -51,12 +51,8 @@
     DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
-#install(FILES /// evt. TODO manpage
-#    startlxqt.1
-#    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
-#    COMPONENT Runtime
-#)
 
+add_subdirectory(man)
 add_subdirectory(configurations)
 add_subdirectory(wallpaper)
 add_subdirectory(labwc-themes)

=== labwc-themes/CMakeLists.txt ===
# install labwc themes
install(DIRECTORY
    Vent
    Vent-dark
    DESTINATION "${CMAKE_INSTALL_DATADIR}/themes"
    COMPONENT Runtime
)

=== man/CMakeLists.txt ===
# install manpages

install(FILES
    lxqt-wayland-session.1
    startlxqtwayland.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-wayland-session (0.2.1-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 0.2.1.
  * d/control: Update Build-Depends.

  [ Andrew Lee (李健秋) ]
  * debian/lintian-overrides: drop no-manual-page override.
  * Run wrap-and-sort.
  * debian/control: clean up build-deps.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 17 Aug 2025 16:13:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,7 @@
            Joel Orón Valiente <moded3v@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.1.0),
-               libxkbcommon-dev,
-               lxqt-build-tools (>= 2.1.0),
+               liblxqt-dev (>= 2.2.0~),
                pkgconf,
                qt6-tools-dev,
                xdg-user-dirs
@@ -23,7 +21,9 @@
 Package: lxqt-wayland-session
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, labwc | wayfire | sway | kwin-wayland
+Depends: labwc | wayfire | sway | kwin-wayland,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Files needed for the LXQt Wayland Session
  Files needed for the LXQt Wayland Session: Wayland session start script,
  its desktop entry for display managers and default configurations for

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -fr $(CURDIR)/debian/lxqt-wayland-session/usr/share/lxqt/wayland/labwc/README

=== debian/watch ===
version=4
https://github.com/lxqt/@PACKAGE@/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## lxqt-wayland-session 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "2.2.0")
+set(LXQT_MINIMUM_VERSION "2.3.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -25,7 +25,7 @@
 find_package(XdgUserDirs REQUIRED)
 
 set(LXQT_WAYLAND_SESSION_MAJOR_VERSION 0)
-set(LXQT_WAYLAND_SESSION_MINOR_VERSION 2)
+set(LXQT_WAYLAND_SESSION_MINOR_VERSION 3)
 set(LXQT_WAYLAND_SESSION_PATCH_VERSION 1)
 set(LXQT_WAYLAND_SESSION_VERSION ${LXQT_WAYLAND_SESSION_MAJOR_VERSION}.${LXQT_WAYLAND_SESSION_MINOR_VERSION}.${LXQT_WAYLAND_SESSION_PATCH_VERSION})
 
@@ -46,8 +46,11 @@
 set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
 set(PREDEF_XDG_CONFIG_DIRS "/etc:${LXQT_ETC_XDG_DIR}:/usr/share")
 configure_file(startlxqtwayland.in startlxqtwayland @ONLY)
+set(DEFAULT_AUDIO_SINK "@DEFAULT_AUDIO_SINK@")
+configure_file(lxqt-qdbus.in lxqt-qdbus @ONLY)
 install(PROGRAMS
     "${CMAKE_CURRENT_BINARY_DIR}/startlxqtwayland"
+    "${CMAKE_CURRENT_BINARY_DIR}/lxqt-qdbus"
     DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )

=== configurations/CMakeLists.txt ===
# install default config files to /usr/share/lxqt/wayland

install(FILES
    lxqt-hyprland.conf
    lxqt-wayfire.ini
    lxqt-sway.config
    lxqt-river-init
    lxqt-niri.kdl
    lxqt-niri.kdl.full
    DESTINATION "${CMAKE_INSTALL_DATADIR}/lxqt/wayland"
    COMPONENT Runtime
)
install(FILES
    lxqt-labwc.png
    DESTINATION "${LXQT_SHARE_DIR}/graphics"
    COMPONENT Runtime
)
install(DIRECTORY
    labwc
    firstrun
    niri
    DESTINATION "${CMAKE_INSTALL_DATADIR}/lxqt/wayland"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-wayland-session (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1.
  * d/control: Update Build-Depends.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Required-Root.
  * d/upstream/signing-key.asc: Add upstream signing key.
  * d/watch: Upgrade to version 5.
  * d/copyright: Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Jan 2026 00:38:42 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxqt-wayland-session
 Section: x11
-Priority: optional
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -8,13 +7,12 @@
            Joel Orón Valiente <moded3v@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
                pkgconf,
                qt6-tools-dev,
                xdg-user-dirs
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/lxqt/lxqt-wayland-session
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-wayland-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-wayland-session.git
